TODO as of 7/10/18:
- undefined prof, show all possible profs from past? (DIFFERENT IF NO PROF)
- Online classes/no location
- save image of modal?
- no place
- Degree plan?
- default message save courses 
- eureka integration 
- underline Courses maybe? click to go to using the planner link thing
- schedule generator
- show schedule conflicts on the course page
-highlight in red on save course screen
- sync saved
-use maps for schedule conflict
-added/removing/action toasts

CLEAN UP:
Everything lmao 

KNOWN BUGS:
- FIX POP UP CARD NOT FILLING FULL LENGTH


IN-PROGRESS:
- icon



FIXED/DONE as of 7/10/18:
- Scrolling Modal :|
- Description
- no Data (prof hasn't taught that class before)
- past syllabi
- Bolding description (ie Prerequisite, etc)
- RATE MY PROFESSOR LINK LOL
- Works on both pages, and is more resilient if the layout changes 
- show time's
- MANAYATHU SASI BROKEN BECAUSE OF REMOVING SPACES
- location w/ map
- eCIS? link or scrape (nah just scrape)
- maybe modal animations? 
- Saving courses
- waitlist/closed/open colors
- popup.html
- Schedule Conflicts
- when almost everything is blank: M 379H as example

